/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#include "storylistreply.h"

namespace NewsBlur
{
/*!
  \class StoryListReply
  \brief The StoryListReply class represents a reply
  of the NewsBlur server which contains a list of stories.
*/

/*!
  Constructs a StoryListReply object.
*/
StoryListReply::StoryListReply() :
    NewsBlurReply(),
    m_storiesParent(new PageItem),
    m_highestLoadedPage(0),
    m_lastPageRequested(0),
    m_filter(NewsBlurEnum::CfNoFilter),
    m_filteredStoryCount(0),
    m_preferredStoryCount(0)
{
}

/*!
  Returns NewsBlurReply::RlUpdate.
*/
WebServiceReply::Role StoryListReply::role() const
{
    return WebServiceReply::RlUpdate;
}

/*!
  Returns the list of story items returned by the server.
*/
QList<PageItemPtr> StoryListReply::stories() const
{
    return m_storiesParent->childItems();
}

/*!
  Returns the highest page identifier that was loaded.
*/
int StoryListReply::highestLoadedPage() const
{
    return m_highestLoadedPage;
}
} // namespace NewsBlur
